Installing Lazarus

From Free Pascal wiki
Revision as of 05:32, 17 January 2021 by Trev (talk | contribs) (See also: Add link)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Deutsch (de) English (en) español (es) suomi (fi) français (fr) magyar (hu) 日本語 (ja) 한국어 (ko) polski (pl) português (pt) русский (ru) slovenčina (sk) Tiếng Việt (vi) 中文(中国大陆)‎ (zh_CN)

Overview

For people who simply want to install Lazarus and start using it for programming, the easiest approach is to download and install a recent, reasonably stable binary release (such as a Linux ".rpm" package, a Windows ".exe" installer, or a macOS ".dmg" disk image or installer ".pkg" package).

For those who want to participate in the development of the compiler or the Lazarus IDE, or for those who want the most up-to-date tools, an installation from source files is necessary.

The Lazarus IDE provides two main parts:

  • LCL - the Lazarus Component Library
  • IDE - the RAD tool itself

These in turn are dependent on:

  • FPC - the Free Pascal Compiler
  • FCL - the Free Pascal Component library, containing most of the non-graphic components used by the Lazarus IDE.

Lazarus system requirements

  1. A Free Pascal Compiler, packages, and sources. (*Important*: of the same version/date)
  2. A supported widget set:
    Win32/Win64
    The native Win32 API can be used, or the Qt widgetset.
    Linux/BSD
    GTK+ 2.x or Qt : Most Linux distributions and *BSDs already install the GTK+ 2.x libraries. You can also find them at http://www.gtk.org.
    Qt is also supported with all distributions (auto installed if you prefer KDE).
    macOS
    You need the Apple Xcode developer tools. For macOS versions before 10.15 (Catalina), the 32 bit Carbon or 64 bit Cocoa widget sets can be used.
    For macOS 10.15 onwards, the 64 bit Cocoa widget set must be used as all 32 bit support has been removed by Apple.
    Qt can be used too, but it requires much more effort.
The Qt widget set is supported on Linux 32/64, Win 32/64, macOS 32/64, FreeBSD 32/64, Haiku and embedded Linux (qtopia) platforms. For more details about the installation of Qt, see the Qt Interface article.

Operating system specific guides

  • Remember that the Free Pascal Compiler and the Lazarus IDE are separate products, you almost certainly need to install FPC, FPC Source and Lazarus (maybe in that order!).
  • Some people recommended using the fpcUP updater-installer for first time users of Lazarus, which installs Free Pascal and Lazarus in one go into a single subdirectory structure ( ~/development ).

FreeBSD

Haiku

Linux

See Installing Lazarus on Linux which covers most of what you need for most Linux Distributions.

  • The command to start Lazarus from a console is startlazarus. If you installed it from a Debian package, you should have a Lazarus menu entry under Application/Programming.
  • Issue: there is an ambiguity with a program also called "lazarus" from a tct package available for Ubuntu.
  • For a fully working Lazarus installation, older versions of the FPC compiler, FPC source or Lazarus can be a problem if present.
  • Some people recommended using fpcUP updater-installer for first time users of Lazarus, which installs Free Pascal and Lazarus in one go into a single subdirectory structure (~/development).

Some distribution specific pages exist, but they may not be as up to date as the Installing Lazarus on Linux guide.

Ubuntu/Debian Linux notes

  • The Debian Testing Repository, unlike Ubuntu Releases, often contains a current or near current version of FPC and Lazarus. Feedback is needed and appreciated; please send your comments to Carlos Laviola <claviola@debian.org>
  • Building debs the easy way - A possible way to get a current working installation of Lazarus is to download and build your own .deb packages by following the instructions at How to setup a FPC and Lazarus Ubuntu repository

macOS

Raspbian

Windows

Multiple Lazarus installs

Please see Multiple Lazarus for details on having more than one Lazarus version installed on one system. We cover issues that can arise due to multiple Lazarus installs here, because they can also happen when installing over a previous version.

Troubleshooting

Troubleshooting details that should (hopefully) be applicable across platforms may be found in the article Installation Troubleshooting.

Lazarus FAQ

The Lazarus FAQ - Frequently Asked Questions - page is available here.

Installing old versions

See Installation hints for old versions

See also